### Hierarchy

- TabHeader

### Implements

- AfterViewInit

## Index

### Inputs

- active
- disabled
- paneReference
- title
- cacheActive
- paneTabIndex

### Outputs

- selected

### Properties

- _cacheActive
- active
- disabled
- paneReference
- selected
- tabItem
- title

### Accessors

- cacheActive
- paneTabIndex

### Methods

- ngAfterViewInit
- selectTab

## Properties

### Protected _cacheActive

_cacheActive: boolean = false

- Defined in src/tabs/tab-header.component.ts:85

### active

@Input()
active: boolean = false

- Defined in src/tabs/tab-header.component.ts:44

### disabled

@Input()
disabled: boolean = false

- Defined in src/tabs/tab-header.component.ts:48

### paneReference

@Input()
paneReference: Tab

- Defined in src/tabs/tab-header.component.ts:52

### selected

@Output()
selected: EventEmitter<any> = new EventEmitter<any>()

- Defined in src/tabs/tab-header.component.ts:80

### tabItem

@ViewChild({"selector":"tabItem","opts":"{ static: true }"})
tabItem: ElementRef

- Defined in src/tabs/tab-header.component.ts:83

### title

@Input()
title: any

- Defined in src/tabs/tab-header.component.ts:53

## Accessors

### cacheActive

@Input()
cacheActive:

- Defined in src/tabs/tab-header.component.ts:57
- Defined in src/tabs/tab-header.component.ts:72

### paneTabIndex

@Input()
paneTabIndex:

- Defined in src/tabs/tab-header.component.ts:66

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/tabs/tab-header.component.ts:87

  #### Returns void

### selectTab

- selectTab(): void

- - Defined in src/tabs/tab-header.component.ts:93

  #### Returns void

Generated using TypeDoc